Create Request Log
curl --request POST \
--url https://api.cyberdesk.io/v1/request-logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "<string>",
"method": "<string>",
"path": "<string>",
"machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_code": 349,
"request_size_bytes": 1,
"response_size_bytes": 1,
"duration_ms": 1,
"error_message": "<string>"
}
'import requests
url = "https://api.cyberdesk.io/v1/request-logs"
payload = {
"request_id": "<string>",
"method": "<string>",
"path": "<string>",
"machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_code": 349,
"request_size_bytes": 1,
"response_size_bytes": 1,
"duration_ms": 1,
"error_message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_id: '<string>',
method: '<string>',
path: '<string>',
machine_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
status_code: 349,
request_size_bytes: 1,
response_size_bytes: 1,
duration_ms: 1,
error_message: '<string>'
})
};
fetch('https://api.cyberdesk.io/v1/request-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cyberdesk.io/v1/request-logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'request_id' => '<string>',
'method' => '<string>',
'path' => '<string>',
'machine_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'status_code' => 349,
'request_size_bytes' => 1,
'response_size_bytes' => 1,
'duration_ms' => 1,
'error_message' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cyberdesk.io/v1/request-logs"
payload := strings.NewReader("{\n \"request_id\": \"<string>\",\n \"method\": \"<string>\",\n \"path\": \"<string>\",\n \"machine_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"status_code\": 349,\n \"request_size_bytes\": 1,\n \"response_size_bytes\": 1,\n \"duration_ms\": 1,\n \"error_message\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cyberdesk.io/v1/request-logs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"request_id\": \"<string>\",\n \"method\": \"<string>\",\n \"path\": \"<string>\",\n \"machine_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"status_code\": 349,\n \"request_size_bytes\": 1,\n \"response_size_bytes\": 1,\n \"duration_ms\": 1,\n \"error_message\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cyberdesk.io/v1/request-logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"request_id\": \"<string>\",\n \"method\": \"<string>\",\n \"path\": \"<string>\",\n \"machine_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"status_code\": 349,\n \"request_size_bytes\": 1,\n \"response_size_bytes\": 1,\n \"duration_ms\": 1,\n \"error_message\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"method": "<string>",
"path": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"status_code": 349,
"request_size_bytes": 1,
"response_size_bytes": 1,
"duration_ms": 1,
"error_message": "<string>",
"organization_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}request-logs
Create Request Log
Create a new request log.
The machine must exist and belong to the authenticated organization. This is typically called when a request is initiated.
POST
/
v1
/
request-logs
Create Request Log
curl --request POST \
--url https://api.cyberdesk.io/v1/request-logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "<string>",
"method": "<string>",
"path": "<string>",
"machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_code": 349,
"request_size_bytes": 1,
"response_size_bytes": 1,
"duration_ms": 1,
"error_message": "<string>"
}
'import requests
url = "https://api.cyberdesk.io/v1/request-logs"
payload = {
"request_id": "<string>",
"method": "<string>",
"path": "<string>",
"machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_code": 349,
"request_size_bytes": 1,
"response_size_bytes": 1,
"duration_ms": 1,
"error_message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_id: '<string>',
method: '<string>',
path: '<string>',
machine_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
status_code: 349,
request_size_bytes: 1,
response_size_bytes: 1,
duration_ms: 1,
error_message: '<string>'
})
};
fetch('https://api.cyberdesk.io/v1/request-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cyberdesk.io/v1/request-logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'request_id' => '<string>',
'method' => '<string>',
'path' => '<string>',
'machine_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'status_code' => 349,
'request_size_bytes' => 1,
'response_size_bytes' => 1,
'duration_ms' => 1,
'error_message' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cyberdesk.io/v1/request-logs"
payload := strings.NewReader("{\n \"request_id\": \"<string>\",\n \"method\": \"<string>\",\n \"path\": \"<string>\",\n \"machine_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"status_code\": 349,\n \"request_size_bytes\": 1,\n \"response_size_bytes\": 1,\n \"duration_ms\": 1,\n \"error_message\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cyberdesk.io/v1/request-logs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"request_id\": \"<string>\",\n \"method\": \"<string>\",\n \"path\": \"<string>\",\n \"machine_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"status_code\": 349,\n \"request_size_bytes\": 1,\n \"response_size_bytes\": 1,\n \"duration_ms\": 1,\n \"error_message\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cyberdesk.io/v1/request-logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"request_id\": \"<string>\",\n \"method\": \"<string>\",\n \"path\": \"<string>\",\n \"machine_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"status_code\": 349,\n \"request_size_bytes\": 1,\n \"response_size_bytes\": 1,\n \"duration_ms\": 1,\n \"error_message\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"method": "<string>",
"path": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"status_code": 349,
"request_size_bytes": 1,
"response_size_bytes": 1,
"duration_ms": 1,
"error_message": "<string>",
"organization_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Headers
Body
application/json
Schema for creating a request log
Response
Successful Response
Request log response schema
Was this page helpful?